<div class="addUser">
  <span>افزودن کاربر </span>
    <button mat-raised-button (click)="openDialog('add')" ><i class="material-icons">add</i></button>
</div>
<div class="container" >
  <div> <h1>کاربران </h1></div>
  <form id="searchForm">
    <div class="form-group">
      <div class="input-group" id="filterAll">
        <div class="input-group-addon"><i class="glyphicon glyphicon-search"></i></div>
        <input type="text" class="form-control" name="searchString" placeholder="Search..." [(ngModel)]="searchString">
      </div>
    </div>
  </form>
  <table>
    <thead>
    <tr>
      <th>ردیف</th>
      <th>نام</th>
      <th>فامیلی</th>
      <th> شماره موبایل</th>
      <th> اپراتور </th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let user of users | filterAll: searchString">
      <td>{{user.id}}</td>
      <td>{{user.name}}</td>
      <td>{{user.family}}</td>
      <td>{{user.mobile}}</td>
      <td>{{user.operator}}</td>
      <td>
        <button mat-raised-button (click)="updateUser(user)" ><i class="material-icons">create</i></button>
        <button mat-raised-button (click)="removeUser(user)" ><i class="material-icons">remove</i></button>
      </td>
    </tr>
    </tbody>
  </table>
</div>
